﻿
/*
    script: Exporter

    header:
    This script takes the settings provided by the user and runs the required Exporter.

    Author - Malcolm Thomson
    Created Date - 6th March 2014
*/

/* jshint ignore:start */
/* statements to make sure jshint doesn't error on the include statements*/
#script Exporter
#strict on
#target "indesign"
#targetengine "session"

// includepath allows you to specify a number of directories, seperated witha a ; , which Extendscript with look for JS files in
#includepath "/Fuse-JavaScript;/Fuse-JavaScript/JavaScript;/Fuse-JavaScript/JavaScriptObjects;/Fuse-JavaScript/UserInterface"

// include allows you to add JS functionality just by placing the jsx file in a location specified above and then including it here.
// for this to work for the work flow we have, you need to export as binary for the bundle
#include "ExporterObject.jsx"
//#include "ExporterXML.jsx"
//#include "FontReportXML.jsx"
/* jshint ignore:end */

/* globals ExporterObject */

function setReturnValues ( bSuccess, errorNum, extraString, returnValue, bFilesCreated, bReportCreated, strOutputLocation, strReportlocation)
{
    // this enables us to pass values between the JavaScript and the Applescript.
    app.scriptArgs.setValue("scriptSuccess", "" + bSuccess);
    app.scriptArgs.setValue("errorNumber", "" + errorNum);
    app.scriptArgs.setValue("extraString", "" + extraString);
    app.scriptArgs.setValue("returnValue",  "" + returnValue);
    app.scriptArgs.setValue("filesCreated", "" + bFilesCreated);
    app.scriptArgs.setValue("reportCreated", "" + bReportCreated);
    app.scriptArgs.setValue("fileLocation", "" + strOutputLocation);
    app.scriptArgs.setValue("reportLocation", "" + strReportlocation);
}

//debuggin options
//runWorkHorse ( Folder ( (Folder ($.fileName).parent.parent).toString() + "/Bundle").relativeURI + "/")

//declaring it so we can use it just about anywhere
function runWorkHorse ( BundleLocation)
{
    var myObj = null;
    try
    {
        myObj = new ExporterObject();
        myObj.setup ( BundleLocation);
        myObj.perform();
        if ( myObj.getResult() === 0 )
        {
            var failedFiles = false;
            if ( myObj.getReportLine().length > 0)
            {
                failedFiles = true;
            }
            setReturnValues ( true, myObj.getResult(), myObj.getReportName(), myObj.getReturnValue(), myObj.getFilesCreated(), failedFiles, myObj.getOutputLocation());
        }
        else
        {
            setReturnValues ( false, myObj.getResult(), myObj.getErrorString(), myObj.getReturnValue(), false, false, "","");
        }
        return myObj.getResult ();
    }
    catch (e)
    {
        var errorString = e.toString();
        setReturnValues ( false, myObj.getResult(), myObj.getErrorString());
        return myObj.getResult();
    }
}

// added to enable the script to be run in debug mode without having to add any further code.
var scriptSuccess = null;
if ($.level === 0)
{
	try
	{
   		scriptSuccess=runWorkHorse(arguments[0]);
   	}
   	catch (e)
   	{}
}
else
{
    // used for debuggin
   var myFolder = (new File($.fileName)).parent.parent;
    scriptSuccess=runWorkHorse(myFolder + "/Bundle/");
}




