#!/bin/sh

BUNDLEFOLDER="../Bundle"
echo "bundlefolder == $BUNDLEFOLDER"
EXPORTERFILES="Exporter.jsxbin ExporterPresets.xml ExporterUI.app"
SEP="/"
IGNOREBRANCHES=false

while getopts bikpsV: opt
do
	case $opt in
        i) IGNOREBRANCHES=true;;
		s) STANDALONE=true;;
	esac
done

## check the branches are aligned
GITFUSE=$(git name-rev --name-only HEAD)
echo "gitfuse == $GITFUSE"
CURDIR=$(pwd)
cd ../../../../Fuse-JavaScript
GITFUSEJS=$(git name-rev --name-only HEAD)
echo "gitfusejs == $GITFUSEJS"
cd $CURDIR
if [ $GITFUSE != $GITFUSEJS ] ; then
    echo "Branches are not alligned, pass -i to ignore : fuse - $GITFUSE : fusejs - $GITFUSEJS"
    if [ $IGNOREBRANCHES != true ] ; then
        exit;
    fi
fi

## Run the tests

## Build the tool
echo "CALLING - ../../../BuildTools/BuildScripts/buildTool.sh '$@' -w -A 'Exporter' -S '/fuse/Tools/Exporter/Scripts'"
../../../BuildTools/BuildScripts/buildTool.sh "$@" -w -A "Exporter" -S "/fuse/Tools/Exporter/Scripts"
BUILDTOOL=$?
echo "buildTool == $BUILDTOOL"
if [[ "$BUILDTOOL" != 0 ]] ; then
    echo "BUILD FAILED"
    exit $BUILDTOOL
fi

## Check all the files are created as expected.
echo "CALLING - ../../../BuildTools/BuildScripts/checkTool.sh $@ -A 'Exporter' -F $EXPORTERFILES"
../../../BuildTools/BuildScripts/checkTool.sh "$@" -A "Exporter" -F "$EXPORTERFILES"
CHECKTOOL=$?
echo "checktool == $CHECKTOOL"
if [[ "$CHECKTOOL" != 0 ]] ; then
    echo "CHECK FAILED"
    exit $CHECKTOOL
fi

echo "Exporter built correctly"
exit 0;